Aden

Sessions

Studio session management — collaborative workspaces

GET
/api/v1/sessions/

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Query Parameters

teamId?string
curl -X GET "https://example.com/api/v1/sessions/"
GET
/api/v1/sessions/{sessionId}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

sessionId*string

Query Parameters

teamId*string
curl -X GET "https://example.com/api/v1/sessions/string?teamId=string"
GET
/api/v1/sessions/{sessionId}/songs

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

sessionId*string

Query Parameters

teamId*string
curl -X GET "https://example.com/api/v1/sessions/string/songs?teamId=string"
GET
/api/v1/sessions/{sessionId}/recordings

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

sessionId*string

Query Parameters

teamId*string
curl -X GET "https://example.com/api/v1/sessions/string/recordings?teamId=string"
POST
/api/v1/sessions/{sessionId}/recordings

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

sessionId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/sessions/string/recordings" \  -H "Content-Type: application/json" \  -d '{    "teamId": 0,    "pendingKey": "string",    "fileName": "string",    "fileSize": 0,    "contentType": "string"  }'
POST
/api/v1/sessions/{sessionId}/recordings/upload-url

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

sessionId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/sessions/string/recordings/upload-url" \  -H "Content-Type: application/json" \  -d '{    "teamId": 0,    "fileName": "string",    "fileSize": 1,    "contentType": "string"  }'
POST
/api/v1/sessions/{sessionId}/recordings/live

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

sessionId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/sessions/string/recordings/live" \  -H "Content-Type: application/json" \  -d '{    "teamId": 0  }'
GET
/api/v1/sessions/{sessionId}/recordings/{recordingId}/markers

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

sessionId*string
recordingId*string

Query Parameters

teamId*string
curl -X GET "https://example.com/api/v1/sessions/string/recordings/string/markers?teamId=string"
POST
/api/v1/sessions/{sessionId}/recordings/{recordingId}/markers

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

sessionId*string
recordingId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/sessions/string/recordings/string/markers" \  -H "Content-Type: application/json" \  -d '{    "teamId": 0,    "label": "string",    "positionSeconds": 0  }'
PATCH
/api/v1/sessions/{sessionId}/recordings/{recordingId}/markers/{markerId}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

sessionId*string
recordingId*string
markerId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X PATCH "https://example.com/api/v1/sessions/string/recordings/string/markers/string" \  -H "Content-Type: application/json" \  -d '{    "teamId": 0  }'
DELETE
/api/v1/sessions/{sessionId}/recordings/{recordingId}/markers/{markerId}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

sessionId*string
recordingId*string
markerId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X DELETE "https://example.com/api/v1/sessions/string/recordings/string/markers/string" \  -H "Content-Type: application/json" \  -d '{    "teamId": 0  }'
GET
/api/v1/sessions/{sessionId}/participants

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

sessionId*string

Query Parameters

teamId*string
curl -X GET "https://example.com/api/v1/sessions/string/participants?teamId=string"
GET
/api/v1/sessions/{sessionId}/canvas

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

sessionId*string

Query Parameters

teamId*string
curl -X GET "https://example.com/api/v1/sessions/string/canvas?teamId=string"
Was this helpful?